/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.util.List;

/**
 *
 * @author Administrador
 */
public class ParadaSecuencia {

    private Short secuencia;
    private Parada parada;
    private Via via;
    private List<RutaCaseta> casetas;
    private String casetasTxt ="";
    private String kmReal = "";
    private String kmEntradaSaida = "";
    private String tempoReal = "";
    
    @Override
    public String toString() {
    	if (parada != null) {
    		return parada.toString();
    	}
    	return super.toString();
    }

    public ParadaSecuencia() {
    }

    public Parada getParada() {
        return parada;
    }

    public void setParada(Parada parada) {
        this.parada = parada;
    }

    public Short getSecuencia() {
        return secuencia;
    }

    public void setSecuencia(Short secuencia) {
        this.secuencia = secuencia;
    }

    public Via getVia() {
        return via;
    }

    public void setVia(Via via) {
        this.via = via;
    }

	public List<RutaCaseta> getCasetas() {
		return casetas;
	}

	public void setCasetas(List<RutaCaseta> casetas) {
		this.casetas = casetas;
	}

	public String getCasetasTxt() {
		if(casetas != null){
			casetasTxt = "";
			
			for( int i = 0 ; i <  casetas.size() ; i ++){
				RutaCaseta cs =  casetas.get(i);
				if(i == casetas.size()-1){
					casetasTxt = casetasTxt + cs.getCasetaPeaje().getDesccaseta();
				}else{
					casetasTxt = casetasTxt + cs.getCasetaPeaje().getDesccaseta()+", ";
				}
			}
		}
		return casetasTxt;
	}

	public void setCasetasTxt(String casetasTxt) {
		this.casetasTxt = casetasTxt;
	}

	public String getKmReal() {
		return kmReal;
	}

	public void setKmReal(String kmReal) {
		this.kmReal = kmReal;
	}

	public String getTempoReal() {
		return tempoReal;
	}

	public void setTempoReal(String tempoReal) {
		this.tempoReal = tempoReal;
	}

	public String getKmEntradaSaida() {
		return kmEntradaSaida;
	}

	public void setKmEntradaSaida(String kmEntradaSaida) {
		this.kmEntradaSaida = kmEntradaSaida;
	}
	
}